# Configure, build, and install:


export CFLAGS="$SLKCFLAGS"
export CXXFLAGS="$SLKCFLAGS"
mkdir build

meson \
-Dprefix=${PREFIX} \
-Dmandir=${PREFIX}/man \
-Dlibdir=${LIBINSTALLDIR} \
-Dlocalstatedir=/var \
-Dlocaledir=${PREFIX}/share/locale \
-Dsysconfdir=/etc \
-Djack=disabled \
-Dpipewire-jack=disabled \
-Dsystemd=disabled \
-Dsystemd-system-service=disabled \
-Dsystemd-user-service=disabled \
-Dvolume=enabled \
-Dbluez5-backend-hsphfpd=enabled \
-Dbluez5-codec-aptx=enabled \
-Dbluez5-codec-aac=enabled \
-Dbluez5-codec-ldac=enabled \
-Dbluez5-codec-lc3=enabled \
build

  ninja -j $JOBS -C build || exit 1
  DESTDIR=${PKG} ninja -C build install

#-Dlibpulse=disabled \
#-Dffmpeg=disabled \
#-Davahi=disabled \
#-Draop=enabled \
