
rm -rf ${TMP}/pulse
mkdir -p ${TMP}/pulse
(
cd ${TMP}/pulse
tar -xvf $CWD/pulseaudio-17.0-x86_64-3.txz
sh install/doinst.sh
rm -rf install
rm -rf etc/xdg
rm -rf etc/rc.d
rm -rf lib/udev
rm -rf usr/man
# rm -rf usr/include
rm -rf usr/doc
rm -f usr/bin/*pulseaudio*
)
cp -rpf ${TMP}/pulse/* ${PKG}/

cat << "END" >> ${PKG}/usr/bin/start-pipewire 	
killall -9 pulseaudio
#/usr/bin/daemon -frB --pidfiles=~/.run --name=pipewire /usr/bin/pipewire
pipewire &
END

chmod 755 ${PKG}/usr/bin/start-pipewire

mkdir -p ${PKG}/etc/xdg/autostart
cat << "END" >> ${PKG}/etc/xdg/autostart/pipewire.desktop	
[Desktop Entry]
Version=1.0
Name=PipeWire Media System
Comment=Start the PipeWire Media System
Exec=/usr/bin/start-pipewire 
Terminal=false
Type=Application
X-GNOME-Autostart-Phase=Initialization
X-KDE-autostart-phase=1
END

chmod 755 ${PKG}/etc/xdg/autostart/pipewire.desktop	

mkdir -p ${PKG}/etc

#sed -i 's|# *{ path = "/usr/bin/wireplumber" args = ""|{ path = "/usr/bin/wireplumber" args = "" }|g' ${PKG}/usr/share/pipewire/pipewire.conf
#sed -i 's|# *{ path = "/usr/bin/pipewire" args = [ "-c" "pipewire-pulse.conf" ]|{ path = "/usr/bin/pipewire" args = [ "-c" "pipewire-pulse.conf" ] }|g' ${PKG}/usr/share/pipewire/pipewire.conf
cp -f $CWD/pipewire.conf ${PKG}/usr/share/pipewire/pipewire.conf

( 
cd ${PKG}/etc
ln -s ../usr/share/wireplumber wireplumber
ln -s ../usr/share/pipewire pipewire
)
